# Copyright 2018 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=6

PYTHON_COMPAT=( python3_5 python3_6 )

inherit python-r1

SHA1=3c1732e20486badfcb13bfd870f109018085aace

DESCRIPTION="Simple tool which adds ReplayGain tags to your files"
HOMEPAGE="https://github.com/kepstin/regainer"
SRC_URI="https://github.com/kepstin/$PN/archive/$SHA1.tar.gz -> $P.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
REQUIRED_USE="$PYTHON_REQUIRED_USE"

S=$WORKDIR/$PN-$SHA1

RDEPEND="$PYTHON_DEPS
	media-libs/mutagen[$PYTHON_USEDEP]
	media-video/ffmpeg[encode]"
DEPEND="$PYTHON_DEPS"

src_install () {
	python_foreach_impl python_doscript regainer
}
